
Katello - Bug #4847

when promoting a content view, initially the library checkbox is available

03/25/2014 04:05 PM - Erik Jacobs

Status: Closed   

Priority: Normal   

Assignee:    

Category: Web UI   

Target version: Katello 2.0   

Difficulty: trivial Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1112778 Red Hat JIRA:  

Pull request:    

Description

[root@satellite ~]# rpm -qa | grep -E "foreman|puppet|katello" | sort

foreman-1.5.0-0.develop.201403241725git8527c9f.el6.noarch

foreman-postgresql-1.5.0-0.develop.201403241725git8527c9f.el6.noarch

foreman-proxy-1.5.0-0.develop.201403211738git597ab3a.el6.noarch

foreman-release-1.5.0-0.develop.201403241725git8527c9f.el6.noarch

katello-1.5.0-14.201403251058gitade6b90.el6.noarch

katello-apache-1.0-1.noarch

katello-ca-1.0-1.noarch

katello-certs-tools-1.5.2-1.git.1.edab2c4.el6.noarch

katello-installer-0.0.19-1.201403212102git0dea157.el6.noarch

katello-repos-1.5.1-1.git.14.0868bd1.el6.noarch

pulp-katello-plugins-0.2-1.el6.noarch

pulp-puppet-plugins-2.3.1-1.el6.noarch

puppet-3.4.3-1.el6.noarch

puppetlabs-release-6-10.noarch

puppet-server-3.4.3-1.el6.noarch

python-pulp-puppet-common-2.3.1-1.el6.noarch

ruby193-rubygem-foreman-tasks-0.4.0-1.el6.noarch

ruby193-rubygem-katello-1.5.0-10.201403251032gitade6b90.el6.noarch

rubygem-foreman_api-0.1.11-1.el6.noarch

rubygem-hammer_cli_foreman-0.0.18-1.el6.noarch

rubygem-hammer_cli_foreman_tasks-0.0.1-3.201403242109git93c1e95.git.0.0d9e8ac.el6.noarch

rubygem-hammer_cli_katello-0.0.3-1.201403251054gitfd155c3.git.0.b77eaa1.el6.noarch

rubygem-katello_api-0.0.8-1.201403251050gitebaa251.git.0.b46d26e.el6.noarch

 When you initially click the promote button for promoting a content view, you are presented with the lifecycle path.

The "Library" environment has a checkbox on it. When the generation of the page content is very slow, it can be very confusing

because the publish action already put content into the library.

1) By default, when the lifecycle path is first displayed, there should be no checkboxes available.

2) Once the back-end finishes calculations, at that point we should update the page with a checkbox on the proper environment.

3) While calculations are being done on the back end, there should be a visual aid (spinner) to let you know something is happening.

Associated revisions

Revision 0378bf97 - 06/18/2014 03:31 PM - Eric Helms

Fixes #4847: Add loading spinner for environment selector on promotion page.

Revision 6bc6f38c - 06/18/2014 04:50 PM - Eric Helms

Merge pull request #4289 from ehelms/fixes-4847

Fixes #4847: Add loading spinner for environment selector on promotion p...

Revision c79f8e1a - 06/18/2014 07:31 PM - Eric Helms
Fixes #4847: Add loading spinner for environment selector on promotion page.

Revision 526eaf65 - 06/18/2014 08:50 PM - Eric Helms

Merge pull request #4289 from ehelms/fixes-4847

Fixes #4847: Add loading spinner for environment selector on promotion p...

History

#1 - 04/25/2014 11:57 AM - Justin Sherrill

- translation missing: en.field_release set to 13

#2 - 06/04/2014 01:32 PM - Eric Helms

- Target version set to 45

- Difficulty set to trivial

- Triaged changed from No to Yes

#3 - 06/16/2014 12:02 PM - Eric Helms

- Target version changed from 45 to 48

#4 - 06/18/2014 08:52 PM - Eric Helms

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:c79f8e1ad58ddf458cf472ed38f12618eef46cd4.

#5 - 06/24/2014 04:23 PM - Eric Helms

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1112778
